package packetizer

type KeepMode int

const (
	KeepLast = KeepMode(iota)
	Keep
	GroupKeep
	GroupDiscard
	Discard
)

type Packet interface {
	KeepMode() KeepMode
	GetStartSampleNumber() int64
	GetEndSampleNumber() int64
	GetData() []byte
}

type Packetizer interface {
	GetPacket() Packet
}
